## Delete Gateway Logs `client.aiGateway.logs.delete(stringgatewayId, LogDeleteParamsparams, RequestOptionsoptions?): LogDeleteResponse` **delete** `/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs` Delete Gateway Logs ### Parameters - `gatewayId: string` gateway id - `params: LogDeleteParams` - `account_id: string` Path param - `filters?: Array` Query param - `key: "id" | "created_at" | "request_content_type" | 20 more` - `"id"` - `"created_at"` - `"request_content_type"` - `"response_content_type"` - `"request_type"` - `"success"` - `"cached"` - `"provider"` - `"model"` - `"model_type"` - `"cost"` - `"tokens"` - `"tokens_in"` - `"tokens_out"` - `"duration"` - `"feedback"` - `"event_id"` - `"metadata.key"` - `"metadata.value"` - `"authentication"` - `"wholesale"` - `"compatibilityMode"` - `"dlp_action"` - `operator: "eq" | "neq" | "contains" | 2 more` - `"eq"` - `"neq"` - `"contains"` - `"lt"` - `"gt"` - `value: Array` - `string | null` - `number` - `boolean` - `limit?: number` Query param - `order_by?: "created_at" | "provider" | "model" | 8 more` Query param - `"created_at"` - `"provider"` - `"model"` - `"model_type"` - `"success"` - `"cached"` - `"cost"` - `"tokens_in"` - `"tokens_out"` - `"duration"` - `"feedback"` - `order_by_direction?: "asc" | "desc"` Query param - `"asc"` - `"desc"` ### Returns - `LogDeleteResponse` - `success: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const log = await client.aiGateway.logs.delete('my-gateway', { account_id: '0d37909e38d3e99c29fa2cd343ac421a', }); console.log(log.success); ``` #### Response ```json { "success": true } ```